Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ECG_Simple_Mcast_EH.h File Reference

`#include "ace/Event_Handler.h"`
`#include "ECG_Adapters.h"`
`#include "ace/SOCK_Dgram_Mcast.h"`

Include dependency graph for ECG_Simple_Mcast_EH.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_ECG_Simple_Mcast_EH
| Simple Event Handler for mcast messages. Listens for messages on a single mcast group. Useful in environments where event traffic is not separated into different groups. Calls handle_input (ACE_SOCK_Dgram_Mcast dgram) on a specified TAO_ECG_Dgram_Handler to inform it about message arrival. More...

## Detailed Description

Id:
  ECG_Simple_Mcast_EH.h,v 1.3 2003/07/25 14:07:38 jwillemsen Exp

Author:
  Marina Spivak <marina@atdesk.com>